/* gtw_grx.c: graphics window stub functions (curses version)
        for GlkDOS, curses.h/allegro implementation of the Glk API
    Designed by L. Ross Raszewski <lraszewski@justice.loyola.edu>
    
    based upon GlkTerm by Andrew Plotkin <erkyrath@netcom.com>
    http://www.eblong.com/zarf/glk/index.html
*/

#include "gtpref.h"
#include "gtoption.h"
#include <stdio.h>
#include "glk.h"
#include "glkdos.h"

#include "gtw_grx.h"

/* gtwindow.c hooks */
int colorcvt(glui32 i) { return 0; }
/* Convert window dimentions from pixels to screen units */
glui32 gli_graphics_scale(glui32 size, glui32 method)
{
 return size;
}

/* Calculate the dimentions of a graphics window */
void gli_graphics_winsize(window_t *win, glui32 *wid, glui32 *hgt)
{
 return;
}

/* window manipulation functions */

/* Create a new graphics window */
window_graphics_t *win_graphics_create(window_t *win)
{
 return NULL;
}

/* destroy a graphics window */
void win_graphics_destroy(window_graphics_t *dwin)
{
 return;
}

/* redimention a graphics window */
void win_graphics_rearrange(window_t *win, grect_t *box)
{
 return;
}

/* Force a full redraw of the graphic window */
void win_graphics_redraw(window_t *win)
{
 return;
}

/* Update a graphic window by redrawing it if it's dirty */
void win_graphics_update(window_t *win)
{
  return;
}

/* Blank a graphics window */
void win_graphics_clear(window_t *win)
{
 return;
}

/* graphics pad functions */

/* Erase rectangle */
void win_graphics_erase_rect(winid_t win,
    glsi32 left, glsi32 top, glui32 width, glui32 height)
{
  gli_strict_warning("window_erase_rect: graphics not supported.");
}

/* draw rectangle */
void win_graphics_fill_rect(winid_t win, glui32 color,
    glsi32 left, glsi32 top, glui32 width, glui32 height)
{
  gli_strict_warning("window_fill_rect: graphics not supported.");
}
/* set bg */
void win_graphics_set_background_color(winid_t win, glui32 color)
{
  gli_strict_warning("window_set_background_color: graphics not supported.");
}
void *gli_get_image(winid_t win, glsi32 x, glsi32 y, glui32 w, glui32 h)
{
  gli_strict_warning("window_set_background_color: graphics not supported.");
  return NULL;
}
void gli_free_bitmap(void *b)
{
}
